All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class CellVectorStyle

    com.sas.table.CellVectorStyle

All Implemented Interfaces:
  com.sas.collection.PropertyBagChangedListener, com.sas.collection.PropertyBagChangedSource, com.sas.collection.PropertyBagInterface, com.sas.collection.StaticPropertyBagInterface, com.sas.DeepClonable, com.sas.PublicClonable, com.sas.util.Countable, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener

Direct Known Subclasses:
  ColumnStyle, RowStyle

    public class CellVectorStyle

A customizable set of column and row properties.

See CellStyle for more details.

See Also:
  `ColumnStyle`, `RowStyle`, Serialized Form

Field Summary
`static java.lang.String` | `ALIGN_CELLS` String used to identify the alignCells property in the bag.
`static java.lang.String` | `CELLS_TO_SIZE_COUNT` String used to identify the cellsToSizeCount property in the bag.
`static java.lang.String` | `DEFAULT_CELL_STYLE` String used to identify the defaultCellStyle property in the bag.
`static java.lang.String` | `DEFAULT_LABEL_STYLE` String used to identify the defaultLabelStyle property in the bag.
`static java.lang.String` | `MAX_SIZE` String used to identify the maxSize property in the bag.
`static java.lang.String` | `MIN_SIZE` String used to identify the minSize property in the bag.
`static java.lang.String` | `RESIZABLE` String used to identify the resizable property in the bag.
`static java.lang.String` | `SIZE` String used to identify the size property in the bag.

Constructor Summary
`CellVectorStyle()`

Method Summary
`int` | `getCellsToSizeCount()` Returns the number of cells to measure when calculating the size of the cell vector.
`CellStyle` | `getDefaultCellStyle()` Returns the default style for data cells.
`CellStyle` | `getDefaultLabelStyle()` Returns the default style for label cells.
`com.sas.measures.Length` | `getMaxSize()` Returns the maximum size to enforce.
`com.sas.measures.Length` | `getMinSize()` Returns the minimum size to enforce.
`com.sas.measures.Length` | `getSize()` Returns the size to apply.
`boolean` | `isAlignCells()` Returns whether cells should be aligned.
`boolean` | `isAlignCellsSet()` Determines if the alignCells property is in the bag.
`boolean` | `isCellsToSizeCountSet()` Determines if the cellsToSizedCount property is in the bag.
`boolean` | `isDefaultCellStyleSet()` Determines if the defaultCellStyle property is in the bag.
`boolean` | `isDefaultLabelStyleSet()` Determines if the defaultLabelStyle property is in the bag.
`boolean` | `isMaxSizeSet()` Determines if the maximumSize property is in the bag.
`boolean` | `isMinSizeSet()` Determines if the minimumSize property is in the bag.
`boolean` | `isResizable()` Returns whether interactive resizing can occur.
`boolean` | `isResizableSet()` Determines if the resizable property is in the bag.
`boolean` | `isSizeSet()` Determines if the size property is in the bag.
`void` | `setAlignCells(boolean newValue)` Specifies whether cells should be aligned.
`void` | `setCellsToSizeCount(int newValue)` Specifies the number of cells to measure when calculating the size of the cell vector.
`void` | `setDefaultCellStyle(CellStyle newValue)` Specifies the default style for cells.
`void` | `setDefaultLabelStyle(CellStyle newValue)` Specifies the default style for label cells.
`void` | `setMaxSize(com.sas.measures.Length newValue)` Specifies the maximum size to enforce.
`void` | `setMinSize(com.sas.measures.Length newValue)` Specifies the minimum size to enforce.
`void` | `setResizable(boolean newValue)` Specifies whether interactive resizing can occur.
`void` | `setSize(com.sas.measures.Length newValue)` Specifies the size to apply.
`void` | `unsetAlignCells()` Removes the alignCells property from the bag.
`void` | `unsetCellsToSizeCount()` Removes the cellsToSize property from the bag.
`void` | `unsetDefaultCellStyle()` Removes the defaultCellStyle property from the bag.
`void` | `unsetDefaultLabelStyle()` Removes the defaultLabelStyle property from the bag.
`void` | `unsetMaxSize()` Removes the minimumSize property from the bag.
`void` | `unsetMinSize()` Removes the minimumSize property from the bag.
`void` | `unsetResizable()` Removes the resizable property from the bag.
`void` | `unsetSize()` Removes the size property from the bag.

Field Detail

### ALIGN_CELLS

    public static final java.lang.String ALIGN_CELLS

  String used to identify the alignCells property in the bag.

  See Also:
    Constant Field Values

### CELLS_TO_SIZE_COUNT

    public static final java.lang.String CELLS_TO_SIZE_COUNT

  String used to identify the cellsToSizeCount property in the bag.

  See Also:
    Constant Field Values

### DEFAULT_CELL_STYLE

    public static final java.lang.String DEFAULT_CELL_STYLE

  String used to identify the defaultCellStyle property in the bag.

  See Also:
    Constant Field Values

### DEFAULT_LABEL_STYLE

    public static final java.lang.String DEFAULT_LABEL_STYLE

  String used to identify the defaultLabelStyle property in the bag.

  See Also:
    Constant Field Values

### MIN_SIZE

    public static final java.lang.String MIN_SIZE

  String used to identify the minSize property in the bag.

  See Also:
    Constant Field Values

### MAX_SIZE

    public static final java.lang.String MAX_SIZE

  String used to identify the maxSize property in the bag.

  See Also:
    Constant Field Values

### RESIZABLE

    public static final java.lang.String RESIZABLE

  String used to identify the resizable property in the bag.

  See Also:
    Constant Field Values

### SIZE

    public static final java.lang.String SIZE

  String used to identify the size property in the bag.

  See Also:
    Constant Field Values

Constructor Detail

### CellVectorStyle

    public CellVectorStyle()

Method Detail

### isAlignCells

    public boolean isAlignCells()

  Returns whether cells should be aligned. For rows this means share a common baseline; for columns, align around a common character or string.

  Returns:
    `true` if aligning, and `false` otherwise.
  See Also:
    `isAlignCellsSet()`, `setAlignCells(boolean)`, `unsetAlignCells()`

### setAlignCells

    public void setAlignCells(boolean newValue)

  Specifies whether cells should be aligned. For rows this means share a common baseline; for columns, align around a common character or string.

  Parameters:
    `newValue` - The new value to assign the alignCells property.
  See Also:
    `isAlignCells()`, `isAlignCellsSet()`, `unsetAlignCells()`

### isAlignCellsSet

    public boolean isAlignCellsSet()

  Determines if the alignCells property is in the bag.

  Returns:
    `true` if alignCells has been set, and `false` otherwise.
  See Also:
    `isAlignCells()`, `setAlignCells(boolean)`, `unsetAlignCells()`

### unsetAlignCells

    public void unsetAlignCells()

  Removes the alignCells property from the bag.

  See Also:
    `isAlignCells()`, `isAlignCellsSet()`, `setAlignCells(boolean)`

### getCellsToSizeCount

    public int getCellsToSizeCount()

  Returns the number of cells to measure when calculating the size of the cell vector. A value of zero will cause only the cell vector's label to be measured, while a negative value will measure all cells.

  Returns:
    The value of the cellsToSizeCount property.
  See Also:
    `isCellsToSizeCountSet()`, `setCellsToSizeCount(int)`, `unsetCellsToSizeCount()`

### setCellsToSizeCount

    public void setCellsToSizeCount(int newValue)

  Specifies the number of cells to measure when calculating the size of the cell vector. A value of zero will cause only the cell vector's label to be measured, while a negative value will measure all cells.

  Parameters:
    `newValue` - The new value to assign the cellsToSizeCount property.
  See Also:
    `getCellsToSizeCount()`, `isCellsToSizeCountSet()`, `unsetCellsToSizeCount()`

### isCellsToSizeCountSet

    public boolean isCellsToSizeCountSet()

  Determines if the cellsToSizedCount property is in the bag.

  Returns:
    `true` if cellsToSizeCount has been set, and `false` otherwise.
  See Also:
    `getCellsToSizeCount()`, `setCellsToSizeCount(int)`, `unsetCellsToSizeCount()`

### unsetCellsToSizeCount

    public void unsetCellsToSizeCount()

  Removes the cellsToSize property from the bag.

  See Also:
    `getCellsToSizeCount()`, `isCellsToSizeCountSet()`, `setCellsToSizeCount(int)`

### getDefaultCellStyle

    public CellStyle getDefaultCellStyle()

  Returns the default style for data cells.

  Returns:
    The value of the defaultCellStyle property.
  See Also:
    `isDefaultCellStyleSet()`, `setDefaultCellStyle(com.sas.table.CellStyle)`, `unsetDefaultCellStyle()`

### setDefaultCellStyle

    public void setDefaultCellStyle(CellStyle newValue)

  Specifies the default style for cells.

  Parameters:
    `newValue` - The new value to assign the defaultCellStyle property.
  See Also:
    `getDefaultCellStyle()`, `isDefaultCellStyleSet()`, `unsetDefaultCellStyle()`

### isDefaultCellStyleSet

    public boolean isDefaultCellStyleSet()

  Determines if the defaultCellStyle property is in the bag.

  Returns:
    `true` if defaultCellStyle has been set, and `false` otherwise.
  See Also:
    `getDefaultCellStyle()`, `setDefaultCellStyle(com.sas.table.CellStyle)`, `unsetDefaultCellStyle()`

### unsetDefaultCellStyle

    public void unsetDefaultCellStyle()

  Removes the defaultCellStyle property from the bag.

  See Also:
    `getDefaultCellStyle()`, `isDefaultCellStyleSet()`, `setDefaultCellStyle(com.sas.table.CellStyle)`

### getDefaultLabelStyle

    public CellStyle getDefaultLabelStyle()

  Returns the default style for label cells.

  Returns:
    The value of the defaultLabelStyle property.
  See Also:
    `isDefaultLabelStyleSet()`, `setDefaultLabelStyle(com.sas.table.CellStyle)`, `unsetDefaultLabelStyle()`

### setDefaultLabelStyle

    public void setDefaultLabelStyle(CellStyle newValue)

  Specifies the default style for label cells.

  Parameters:
    `newValue` - The new value to assign the defaultLabelStyle property.
  See Also:
    `getDefaultLabelStyle()`, `isDefaultLabelStyleSet()`, `unsetDefaultLabelStyle()`

### isDefaultLabelStyleSet

    public boolean isDefaultLabelStyleSet()

  Determines if the defaultLabelStyle property is in the bag.

  Returns:
    `true` if defaultLabelStyle has been set, and `false` otherwise.
  See Also:
    `getDefaultLabelStyle()`, `setDefaultLabelStyle(com.sas.table.CellStyle)`, `unsetDefaultLabelStyle()`

### unsetDefaultLabelStyle

    public void unsetDefaultLabelStyle()

  Removes the defaultLabelStyle property from the bag.

  See Also:
    `getDefaultLabelStyle()`, `isDefaultLabelStyleSet()`, `setDefaultLabelStyle(com.sas.table.CellStyle)`

### getMinSize

    public com.sas.measures.Length getMinSize()

  Returns the minimum size to enforce. Associated CellVectors will not be smaller than this.

  Returns:
    The value of the minSize property.
  See Also:
    `isMinSizeSet()`, `setMinSize(com.sas.measures.Length)`, `unsetMinSize()`

### setMinSize

    public void setMinSize(com.sas.measures.Length newValue)

  Specifies the minimum size to enforce. Associated CellVectors will not be smaller than this.

  Parameters:
    `newValue` - The new value to assign the minSize property.
  See Also:
    `getMinSize()`, `isMinSizeSet()`, `unsetMinSize()`

### isMinSizeSet

    public boolean isMinSizeSet()

  Determines if the minimumSize property is in the bag.

  Returns:
    `true` if minimumSize has been set, and `false` otherwise.
  See Also:
    `getMinSize()`, `setMinSize(com.sas.measures.Length)`, `unsetMinSize()`

### unsetMinSize

    public void unsetMinSize()

  Removes the minimumSize property from the bag.

  See Also:
    `getMinSize()`, `isMinSizeSet()`, `setMinSize(com.sas.measures.Length)`

### getMaxSize

    public com.sas.measures.Length getMaxSize()

  Returns the maximum size to enforce. Associated CellVectors will not be larger than this.

  Returns:
    The value of the maxSize property.

### setMaxSize

    public void setMaxSize(com.sas.measures.Length newValue)

  Specifies the maximum size to enforce. Associated CellVectors will not be larger than this.

  Parameters:
    `newValue` - The new value to assign the maxSize property.

### isMaxSizeSet

    public boolean isMaxSizeSet()

  Determines if the maximumSize property is in the bag.

  Returns:
    `true` if maximumSize has been set, and `false` otherwise.
  See Also:
    `getMaxSize()`, `setMaxSize(com.sas.measures.Length)`, `unsetMaxSize()`

### unsetMaxSize

    public void unsetMaxSize()

  Removes the minimumSize property from the bag.

  See Also:
    `getMaxSize()`, `isMaxSizeSet()`, `setMaxSize(com.sas.measures.Length)`

### getSize

    public com.sas.measures.Length getSize()

  Returns the size to apply. All associated CellVectors will be this size.

  Returns:
    The value of the size property.
  See Also:
    `isSizeSet()`, `setSize(com.sas.measures.Length)`, `unsetSize()`

### setSize

    public void setSize(com.sas.measures.Length newValue)

  Specifies the size to apply. All associated CellVectors will be this size.

  Parameters:
    `newValue` - The new value to assign the size property.
  See Also:
    `getSize()`, `isSizeSet()`, `unsetSize()`

### isSizeSet

    public boolean isSizeSet()

  Determines if the size property is in the bag.

  Returns:
    `true` if size has been set, and `false` otherwise.
  See Also:
    `getSize()`, `setSize(com.sas.measures.Length)`, `unsetSize()`

### unsetSize

    public void unsetSize()

  Removes the size property from the bag.

  See Also:
    `getSize()`, `isSizeSet()`, `setSize(com.sas.measures.Length)`

### isResizable

    public boolean isResizable()

  Returns whether interactive resizing can occur.

  Returns:
    `true` if CellVectors can be resized interactively, and `false` otherwise.
  See Also:
    `isResizableSet()`, `setResizable(boolean)`, `unsetResizable()`

### setResizable

    public void setResizable(boolean newValue)

  Specifies whether interactive resizing can occur.

  Parameters:
    `newValue` - The new value to assign the resizable property.
  See Also:
    `isResizable()`, `isResizableSet()`, `unsetResizable()`

### isResizableSet

    public boolean isResizableSet()

  Determines if the resizable property is in the bag.

  Returns:
    `true` if resizable has been set, and `false` otherwise.
  See Also:
    `isResizable()`, `setResizable(boolean)`, `unsetResizable()`

### unsetResizable

    public void unsetResizable()

  Removes the resizable property from the bag.

  See Also:
    `isResizable()`, `isResizableSet()`, `setResizable(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.